Bug 102036 - graphical login sometimes has screen moving instead of pointer
Summary: graphical login sometimes has screen moving instead of pointer
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-09 10:58 UTC by Robbage
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 06:09:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Most recent (48.00 KB, text/plain)
2003-09-22 00:54 UTC, Robbage
no flags Details
Generated by RH (3.08 KB, text/plain)
2003-09-22 00:57 UTC, Robbage
no flags Details

Description Robbage 2003-08-09 10:58:56 UTC
Description of problem:
When logging into KDE with KDM, sometimes the mouse pointer stays in the top
left corner and the screen moves around instead, when moving the mouse. The
parts of the screen that scroll off the edge wrap around to the other side. Once
logged in, KDE starts up with no problems. Usually happens when I log out to relog. 
Don't know if this is a problem with xfree, KDE or kdm.


Version-Release number of selected component (if applicable):
xfree86 4.3.0-2

How reproducible:
Sometimes

Steps to Reproduce:
1.Log into KDE using KDM
2.or log out, then log in as another user
3.
    

Actual Results:  Mouse pointer stays locked in top left corner. Screen moves
around with mouse instead. Pointer is actually in the correct position relative
the the moved screen. (ie screen move in opposite direction to mouse)

Expected Results:  Mouse pointer should move.

Additional info:

radeon 7000
logitech optical wheel mouse

Comment 1 Mike A. Harris 2003-08-27 08:05:32 UTC
Sounds like a hardware mouse cursor corruption problem of some kind.  Please
attach your X server log file and config file to the bug report using the
link below.

Also, after attaching the files, try using the option "swcursor" in the
Device section of the config file to test if my assumption is true.  We
can troubleshoot further after that.

thanks

Comment 2 Robbage 2003-09-22 00:54:46 UTC
Created attachment 94618 [details]
Most recent

Sorry for delay. HD crashed. Just re-installed.
Also, using SWCursor does inhibit the bug.

Comment 3 Robbage 2003-09-22 00:57:53 UTC
Created attachment 94619 [details]
Generated by RH

config generated by installation process and untouched by me.

Comment 4 Robbage 2003-09-22 01:04:12 UTC
Oops, attachments are XFree86.0.log and XF86Config respectively

Comment 5 Mike Chambers 2004-01-29 13:39:06 UTC
ping..

Checking status of this to see if it has been fixed with any
updated/errata packages or if it works with FC1.

Comment 6 Mike A. Harris 2004-10-01 06:09:25 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.



Note You need to log in before you can comment on or make changes to this bug.